DOVEADM-REBUILD(1)

NAME
doveadm-rebuild - Commands related to rebuilding various aspects of mails matching given search query.

SYNOPSIS
doveadm [-Dv] [-f formatter] rebuild <command> [-S socket_path] search_query
doveadm [-Dv] [-f formatter] rebuild <command> [-S socket_path] -A search_query
doveadm [-Dv] [-f formatter] rebuild <command> [-S socket_path] -F file search_query
doveadm [-Dv] [-f formatter] rebuild <command> [-S socket_path] -u user search_query

DESCRIPTION
The rebuild attachments command is used to rebuilds attachment presence. doveadm(1) will print the message's uid for each match.
When used with the -A or -u wildcard options, doveadm(1) will print the fields username and uid for each matching message.

In the first form, doveadm(1) will execute the rebuild action with the environment of the logged in system user.

In the second form, the command will be performed for all users.

In the third form, the command will be performed for all users listed in the given file.

In the fourth form, only matching mails of the given user(s) will be rebuilded

OPTIONS
Global doveadm(1) options:

-D  Enables verbosity and debug messages.

-f formatter
    Specifies the formatter for formatting the output. Supported formatters are:

    flow
        prints each line with key=value pairs.

    pager
        prints each key: value pair on its own line and separates records with form feed character (^L).

    tab prints a table header followed by tab separated value lines.

    table
        prints a table header followed by adjusted value lines.

-o setting=value
    Overrides the configuration setting from /etc/dovecot/dovecot.conf and from the userdb with the given value. In order to override multiple settings, the -o option may be specified multiple times.

-v  Enables verbosity, including progress counter.

This command uses by default the output formatter flow (without the key= prefix).

Command specific options:

-A  If the -A option is present, the command will be performed for all users. Using this option in combination with system users from userdb { driver = passwd } is not recommended, because it contains also users with a lower UID than the one configured with the first_valid_uid setting.

    When the SQL userdb module is used make sure that the iterate_query setting in /etc/dovecot/dovecot-sql.conf.ext matches your database layout. When using the LDAP userdb module, make sure that the iterate_attrs and iterate_filter settings in /etc/dovecot/dovecot-ldap.conf.ext match your LDAP schema. Otherwise doveadm(1) will be unable to iterate over all users.

-F file
    Execute the command for all the users in the file. This is similar to the -A option, but instead of getting the list of users from the userdb, they are read from the given file. The file contains one username per line.

-S socket_path
    The option's argument is either an absolute path to a local UNIX domain socket, or a hostname and port (hostname:port), in order to connect a remote host via a TCP socket.

    This allows an administrator to execute doveadm(1) mail commands through the given socket.

-u user/mask
    Run the command only for the given user. It's also possible to use '*' and '?' wildcards (e.g. -u *@example.org).
    When neither the -A option, nor the -F file option, nor the -u user was specified, the command will be executed with the environment of the currently logged in user.

ARGUMENTS

search_query
    Resets attachment indicator for messages matching this search query. See doveadm-search-query(7) for details.

EXAMPLE
This example demonstrates how to rebuild user bob's attachment status.

doveadm rebuild attachments -u bob ALL
1
2
3

REPORTING BUGS
Report bugs, including doveconf -n output, to the Dovecot Mailing List <dovecot@dovecot.org>. Information about reporting bugs is available at: http://dovecot.org/bugreport.html

SEE ALSO
doveadm(1), doveadm-search-query(7)